#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.3
visibility:           public
id:                   kan-extensions-5.2.3-9Drj7nGXzmYK5RuHKkakZb
key:                  kan-extensions-5.2.3-9Drj7nGXzmYK5RuHKkakZb
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  775d1df24f6514af37495ef057824c44
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.3-9Drj7nGXzmYK5RuHKkakZb
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-KIshoC7T2Xm6unrUYLcI7D array-0.5.4.0 base-4.15.1.0
    comonad-5.0.8-1UV6j1oVRx49AwFFLVzzvh containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    distributive-0.6.2.1-CeMrxaxhyMt37Xl63aBbG2
    free-5.1.7-HLCs0Omc9ecAaipeGV9WC9
    invariant-0.5.5-KTdKxVZUvGL9HOiRNhaUMa mtl-2.2.2
    profunctors-5.6.2-JxFhlDyh97VHS9KOg8R2VY
    semigroupoids-5.3.7-LNx6FZQ6yl1Ls9mIgv9Bbs
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR transformers-0.5.6.2
    transformers-compat-0.7.1-5G5J9BcZIFIGkjABObiUpP

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

